Scriptname FreeStyleQuestScript extends Quest  

import Utility

Int index

Spell Property FreeStyleSpellSlashHit  auto

Spell Property FreeStyleSpellDimensionBlade01  auto
Spell Property FreeStyleSpellDimensionBlade02  auto
Spell Property FreeStyleSpellDimensionBlade03  auto
Spell Property FreeStyleSpellDimensionBlade04  auto
Spell Property FreeStyleSpellDimensionBlade05  auto

VisualEffect Property FreeStyleVisualSlashFWD  Auto
VisualEffect Property FreeStyleVisualSlashLeft  Auto
VisualEffect Property FreeStyleVisualSlashRight  Auto
VisualEffect Property FreeStyleVisualSlashBWD  Auto
VisualEffect Property FreeStyleVisualSlashStand  Auto

Sound Property FreeStyleFXFreeStyleSlash01  Auto
Sound Property FreeStyleFXFreeStyleSlash02  Auto
Sound Property FreeStyleFXFreeStyleSlash03  Auto

Event onInit()                       ; This event will run once, when the script is initialized

	RegisterForSingleUpdate(0.01)

endEvent

Event OnUpdate()

	Actor PlayerActor =  Game.GetPlayer()

	registerForAnimationEvent(PlayerActor, "AttackPowerStanding_FXstart")
	registerForAnimationEvent(PlayerActor, "AttackPowerRight_FXstart")
	registerForAnimationEvent(PlayerActor, "AttackPowerLeft_FXstart")
	registerForAnimationEvent(PlayerActor, "AttackPowerBackward_FXstart")
	registerForAnimationEvent(PlayerActor, "AttackPowerForward_FXstart")

	RegisterForSingleUpdate(1)

endEvent

Event OnAnimationEvent(ObjectReference akSource, String asEventName)

	if asEventName == "AttackPowerForward_FXstart"

		FreeStyleVisualSlashFWD.play(akSource,0.4)
		FreeStyleSpellDimensionBlade01.cast(akSource)
		FreeStyleFX(akSource)
		FreeStyleSpellSlashHit.cast(akSource)
		
		wait(0.1)

		FreeStyleFX(akSource)
		FreeStyleSpellSlashHit.cast(akSource)

	elseif asEventName == "AttackPowerLeft_FXstart"

		FreeStyleVisualSlashLeft.play(akSource,0.4)
		FreeStyleSpellDimensionBlade02.cast(akSource)
		FreeStyleFX(akSource)
		FreeStyleSpellSlashHit.cast(akSource)
		
		wait(0.1)

		FreeStyleFX(akSource)
		FreeStyleSpellSlashHit.cast(akSource)

	elseif asEventName == "AttackPowerRight_FXstart"

		FreeStyleVisualSlashRight.play(akSource,0.4)
		FreeStyleSpellDimensionBlade03.cast(akSource)
		FreeStyleFX(akSource)
		FreeStyleSpellSlashHit.cast(akSource)
		
		wait(0.1)

		FreeStyleFX(akSource)
		FreeStyleSpellSlashHit.cast(akSource)

	elseif asEventName == "AttackPowerBackward_FXstart"

		FreeStyleVisualSlashBWD.play(akSource,0.4)
		FreeStyleSpellDimensionBlade04.cast(akSource)
		FreeStyleFX(akSource)
		FreeStyleSpellSlashHit.cast(akSource)
		
		wait(0.1)

		FreeStyleFX(akSource)
		FreeStyleSpellSlashHit.cast(akSource)

	elseif asEventName == "AttackPowerStanding_FXstart" 

		FreeStyleVisualSlashStand.play(akSource,0.4)
		FreeStyleSpellDimensionBlade05.cast(akSource)
		FreeStyleFX(akSource)
		FreeStyleSpellSlashHit.cast(akSource)
		
		wait(0.1)

		FreeStyleFX(akSource)
		FreeStyleSpellSlashHit.cast(akSource)

	endif
		
endEVENT

Function FreeStyleFX(ObjectReference akActor)

		index = RandomInt(1,3)

		if index == 1
			FreeStyleFXFreeStyleSlash01.play(akActor)  
		elseif index == 2
			FreeStyleFXFreeStyleSlash02.play(akActor)
		else
			FreeStyleFXFreeStyleSlash03.play(akActor)
		endif

endFunction